Subject: Re: linux-next: manual merge of the block tree with Linus' tree

From: Jens Axboe <[email-masked]>
Date: Mon, 07 Mar 2011 12:46:53 +0100

On 2011-03-07 12:35, Sedat Dilek wrote:
> On 3/7/11, Jens Axboe <[email-masked]> wrote:
>> On 2011-03-07 12:25, Sedat Dilek wrote:
>>> On 3/7/11, Jens Axboe <[email-masked]> wrote:
>>>> On 2011-03-07 12:14, Sedat Dilek wrote:
>>>>> On 3/7/11, Tejun Heo <[email-masked]> wrote:
>>>>>> On Mon, Mar 07, 2011 at 11:41:23AM +0100, Sedat Dilek wrote:
>>>>>>> $ git log -1 | cat
>>>>>>> commit c45165cd2c77843f24ca18af54044303dc2a81ab
>>>>>>> Author: Stephen Rothwell <[email-masked]>
>>>>>>> Date:   Mon Mar 7 17:38:41 2011 +1100
>>>>>>>
>>>>>>>     Add linux-next specific files for 20110307
>>>>>>>
>>>>>>>     Signed-off-by: Stephen Rothwell <[email-masked]>
>>>>>>>
>>>>>>> $ git pull
>>>>>>> git://git.kernel.org/pub/scm/linux/kernel/git/axboe/linux-2.6-block.git
>>>>>>> for-next
>>>>>>> remote: Counting objects: 158, done.
>>>>>>> remote: Compressing objects: 100% (89/89), done.
>>>>>>> remote: Total 106 (delta 87), reused 21 (delta 17)
>>>>>>> Receiving objects: 100% (106/106), 23.33 KiB, done.
>>>>>>> Resolving deltas: 100% (87/87), completed with 34 local objects.
>>>>>>> From
>>>>>>> git://git.kernel.org/pub/scm/linux/kernel/git/axboe/linux-2.6-block
>>>>>>>  * branch            for-next   -> FETCH_HEAD
>>>>>>> warning: too many files (created: 1120 deleted: 637), skipping inexact
>>>>>>> rename detection
>>>>>>> warning: too many files (created: 974 deleted: 462), skipping inexact
>>>>>>> rename detection
>>>>>>> Auto-merging block/blk-core.c
>>>>>>> Auto-merging block/blk-flush.c
>>>>>>> CONFLICT (content): Merge conflict in block/blk-flush.c
>>>>>>> Auto-merging block/cfq-iosched.c
>>>>>>> CONFLICT (content): Merge conflict in block/cfq-iosched.c
>>>>>>> Automatic merge failed; fix conflicts and then commit the result.
>>>>>>
>>>>>> Ummm... don't those conflicts come from Stephen's commits?  You would
>>>>>> need to revert the merge and fixup commits and then pull in the block
>>>>>> branch.
>>>>>>
>>>>>> Thanks.
>>>>>>
>>>>>> --
>>>>>> tejun
>>>>>>
>>>>>
>>>>> I have reverted the merge-fix from Stephen "[PATCH] block: update for
>>>>> __blk_run_queue() API update" which changed block/blk-flush.c, this
>>>>> remains:
>>>>> ...
>>>>> CONFLICT (content): Merge conflict in block/cfq-iosched.c
>>>>>
>>>>> As it is 12p.m. and sun shining, my decision and direction is clear:
>>>>> Lunch + City.
>>>>
>>>> Just checked here, I can pull my for-next cleanly into Linus' master.
>>>> What is the block tree for-next branch sha?
>>>>
>>>> --
>>>> Jens Axboe
>>>>
>>>>
>>>
>>> No, I tried to merge your for-next into linux-next (which will happen
>>> with tomorrows linux-next).
>>>
>>> [ linux-2.6-block.git#for-next ]
>>> commit b873c5d692d4d5453cceed18bb06c62bb1a73ac0
>>> "Merge branch 'block-for-2.6.39-core' of
>>> ssh:///linux/kernel/git/tj/misc into for-2.6.39/core"
>>
>> linux-next should not have any CFQ changes that don't come from for-next
>> from the linux block tree. Are you pulling it into a linux-next that
>> already have some of the block changes?
>>
>> --
>> Jens Axboe
>>
>>
> 
> I have reverted the manual merge-fix from Stephen as pointed out by Tejun.
> 
> As tig (utility) is broken with ncurses-5.8 in Debian/sid I currently
> can't look through the commits.
> So, I can't say if there were further modifications by merging block
> stuff into linux-next.
> I have added the last 5 commits to block/cfq-iosched.c as TXT.

OK, I see Stephen already pointed out where things have gone wrong. I
try to ensure that it'll merge into Linus' git cleanly, so I know that
Stephen wont run into problems. Sometimes things will get fast tracked
into Linus' git and I don't update for-next in time, that's when
problems arise.

linux-next is a new tree everyday, you can't pull from it like you would
other development trees.

-- 
Jens Axboe